2017-09-19 19:19 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002876FSSCPFRED graphicspublic2016-03-29 06:52
ReporterFUBAR-BDHR 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusnewResolutionopen 
Product Version3.6.19 
Target VersionFixed in Version 
Summary0002876: No warning and background not rendered if first sun doesn't exist
DescriptionIf the first sun listed in the mission does not exist you do not get the warning that you should and the entire background for the mission does not load. All you get is the stars and the default sun. Now if the missing sun is not the first one you get the warning that it doesn't exist and the background does render correctly (minus the bad sun entry of course). Also in either case if you try to go into the background editor you will get the correct warning and the background will render.
Steps To ReproduceEdit a mission in notepad and change the name of the first sun to something you know doesn't exit in stars.tbl. Save the mission and open in FRED. You should get no warning and no backgroud. Save the mission and notice again no warning. Now open the background editor and you will get the warning and the background will render. Next edit the mission in notepad again but this time make the fist sun a valid entry and the second one the bad one (copy/paste the first one if the mission only has one). Save that and load in FRED. Notice you will get the error that the sun isn't valid.

To save time I'm attaching 2 copies of SM1-01. First one has the star changed to an invalid name. Second one has a second invalid star added.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0016823

FSF (reporter)

Issue no longer occurs in 3.7.5; warning is displayed and background is rendered for both of the attached missions.

Suggest issue be closed.

~0016824

MageKing17 (developer)

Last edited: 2016-03-29 06:52

View 2 revisions

My first thought is that this was probably fixed by PR433 (https://github.com/scp-fs2open/fs2open.github.com/pull/433), but it would be nice if somebody could confirm when this got fixed.

+Notes

-Issue History
Date Modified Username Field Change
2013-05-16 22:08 FUBAR-BDHR New Issue
2013-05-16 22:08 FUBAR-BDHR File Added: SM1-01_no_exist.FS2
2013-05-16 22:09 FUBAR-BDHR File Added: SM1-01_not_first.FS2
2016-03-28 08:30 FSF Note Added: 0016823
2016-03-29 06:52 MageKing17 Note Added: 0016824
2016-03-29 06:52 MageKing17 Note Edited: 0016824 View Revisions
+Issue History